Bug 114482 - kernel-unsupported does not depent on kernel
kernel-unsupported does not depent on kernel
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-01-28 11:32 EST by Kevin Otte
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-29 13:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Otte 2004-01-28 11:32:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
The kernel-unsupported package does not depend on its matching kernel

eg: kernel-unsupported-2.4.21-9.EL should depend on kernel-2.4.21-9.EL

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have older kernel installed (eg: kernel-
2. up2date kernel-unsupported


Actual Results:  kernel-unsupported for 2.4.21-9-EL will be installed
but not kernel-2.4.21-9-EL

Expected Results:  both kernel and kernel-unsupported should be
installed by up2date

Additional info:
Comment 1 Arjan van de Ven 2004-01-28 11:33:55 EST
thisis not a bug since you need to be able to install
kernel-unsupported before kernel; and a dependency as you propose
prevents that.
Comment 2 Kevin Otte 2004-01-29 12:14:03 EST
Why would kernel-unsupported need to be loaded before kernel? 
kernel-unsupported without its matching kernel package is useless.
Comment 3 Arjan van de Ven 2004-01-29 13:40:54 EST
because you can have drivers that need to go into the initrd that gets
made in the %post of the main kernel package.

Note You need to log in before you can comment on or make changes to this bug.